#### D.6.2.4 equalJinI

Procedure from library `arcpoint.lib` (see arcpoint_lib).

Usage:
  equalJinI(I,J); (I,J ideals)

Assume:
  J contained in I and both I and J have been processed with idealsimplify before

Return:
  1, if I=J, 0 otherwise

Example:

    LIB "arcpoint.lib";
    ring r=0,(x,y,z),dp;
    ideal I = x,y+z2;
    ideal J1= x;
    ideal J2= x,y+z2;
    equalJinI(I,J1);
    ==> 0
    equalJinI(I,J2);
    ==> 1

See also: idealsimplify.

User manual for Singular version 4.4.1, 2025, generated by texi2html.